unit FindForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, FileFinder;

type
  TForm1 = class(TForm)
    FileFinder: TFileFinder;
    ListBox1: TListBox;
    Panel1: TPanel;
    Button1: TButton;
    txtFilename: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FileFinderFileFound(Sender: TObject; Directory: string;
      SearchRec: TSearchRec; var Stop: Boolean);
    procedure FileFinderStop(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Button1.Caption = 'Search' then
	begin
    Button1.Caption := 'Stop';
  	FileFinder.Filename := txtFilename.Text;
		FileFinder.Search;
  end
  else
  begin
  	FileFinder.Stop;
    Button1.Caption := 'Search';
  end;
end;

procedure TForm1.FileFinderFileFound(Sender: TObject; Directory: string;
  SearchRec: TSearchRec; var Stop: Boolean);
begin
	Listbox1.Items.Add(SearchRec.Name);
end;

procedure TForm1.FileFinderStop(Sender: TObject);
begin
	ShowMessage('Search Stopped');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
	FileFinder.Stop;
end;

end.
